package intrinsic.mx.rpc.xml;

public interface IXMLEncoder {

	/** Accessors */

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public intrinsic.XMLList encode(Object arg0);
public intrinsic.XMLList encode(Object arg0, intrinsic.QName arg1);
public intrinsic.XMLList encode(Object arg0, intrinsic.QName arg1, intrinsic.QName arg2);
public intrinsic.XMLList encode(Object arg0, intrinsic.QName arg1, intrinsic.QName arg2, intrinsic.XML arg3);
public void reset();

}
